[Numpy-discussion] [SciPy-Dev] ANN: SciPy 0.11.0 release candidate 1

Virgil Stokes vs@it.uu...
Fri Jul 20 05:12:24 CDT 2012


On 20-Jul-2012 11:34, Andreas Hilboll wrote:
>> Hi,
>>
>> I am pleased to announce the availability of the first release candidate
>> of
>> SciPy 0.11.0. For this release many new features have been added, and over
>> 120 tickets and pull requests have been closed. Also noteworthy is that
>> the
>> number of contributors for this release has risen to over 50. Some of the
>> highlights are:
>>
>>    - A new module, sparse.csgraph, has been added which provides a number
>> of
>> common sparse graph algorithms.
>>    - New unified interfaces to the existing optimization and root finding
>> functions have been added.
>>
>> Sources and binaries can be found at
>> https://sourceforge.net/projects/scipy/files/scipy/0.11.0rc1/, release
>> notes are copied below.
>>
>> Please try this release candidate and report any problems on the scipy
>> mailing lists.
> Failure on Archlinux 64bit, Python 2.7.3, Numpy 1.6.1:
>
> This is what I did:
>
> mkvirtualenv --system-site-packages --distribute scipy_test_rc1
> cd ~/.virtualenvs/scipy_test_rc1
> mkdir src
> wget -O src/scipy-0.11.0rc1.tar.gz
> "http://downloads.sourceforge.net/project/scipy/scipy/0.11.0rc1/scipy-0.11.0rc1.tar.gz?r=http%3A%2F%2Fsourceforge.net%2Fprojects%2Fscipy%2Ffiles%2Fscipy%2F0.11.0rc1%2F&ts=1342772081&use_mirror=netcologne"
> cd src
> tar xzf scipy-0.11.0rc1.tar.gz
> cd scipy-0.11.0rc1
> python setup.py build
> python setup.py install
> cd
> python -c "import scipy; scipy.test('full')"
>
> Running unit tests for scipy
> NumPy version 1.6.1
> NumPy is installed in /usr/lib/python2.7/site-packages/numpy
> SciPy version 0.11.0rc1
> SciPy is installed in
> /home2/hilboll/.virtualenvs/scipy_test_rc1/lib/python2.7/site-packages/scipy
> Python version 2.7.3 (default, Apr 24 2012, 00:00:54) [GCC 4.7.0 20120414
> (prerelease)]
> nose version 1.1.2
>
> [...]
>
> ======================================================================
> FAIL: test_basic.TestNorm.test_stable
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>    File "/usr/lib/python2.7/site-packages/nose/case.py", line 197, in runTest
>      self.test(*self.arg)
>    File
> "/home2/hilboll/.virtualenvs/scipy_test_rc1/lib/python2.7/site-packages/scipy/linalg/tests/test_basic.py",
> line 585, in test_stable
>      assert_almost_equal(norm(a) - 1e4, 0.5)
>    File "/usr/lib/python2.7/site-packages/numpy/testing/utils.py", line
> 468, in assert_almost_equal
>      raise AssertionError(msg)
> AssertionError:
> Arrays are not almost equal to 7 decimals
>   ACTUAL: 0.0
>   DESIRED: 0.5
>
> ----------------------------------------------------------------------
> FAILED (KNOWNFAIL=16, SKIP=42, failures=1)
>
>
>
> _______________________________________________
> NumPy-Discussion mailing list
> NumPy-Discussion@scipy.org
> http://mail.scipy.org/mailman/listinfo/numpy-discussion
But when I use

 > pip install --upgrade SciPy

Installation of vers. 0.10.1 is attempted.






More information about the NumPy-Discussion mailing list